Skip to main content
GET
/
legacy
/
reporting
/
batch
/
detail
/
records
/
speech
/
to
/
text
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const speechToText = await client.legacy.reporting.batchDetailRecords.speechToText.retrieve(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);

console.log(speechToText.data);
{
  "data": {
    "id": "ab76c3b6-80cd-11eb-9439-0242ac130002",
    "created_at": "2020-07-01T00:00:00-06:00",
    "start_date": "2020-07-01T00:00:00-06:00",
    "end_date": "2020-07-01T00:00:00-06:00",
    "download_link": "https://portal-cdrs-usage.s3.amazonaws.com",
    "status": "PENDING",
    "record_type": "speech_to_text_report"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Speech to text batch report request retrieved successfully

data
object